/***************************** LICENSE START ***********************************

 Copyright 2012 ECMWF and INPE. This software is distributed under the terms
 of the Apache License version 2.0. In applying this license, ECMWF does not
 waive the privileges and immunities granted to it by virtue of its status as
 an Intergovernmental Organization or submit itself to any jurisdiction.

 ***************************** LICENSE END *************************************/

#include "AbstractTextEditSearchInterface.h"

//#include "VConfig.hpp"
#include "MvQProperty.h"

QColor AbstractTextEditSearchInterface::highlightColour_ = QColor(200, 255, 200);

AbstractTextEditSearchInterface::AbstractTextEditSearchInterface()
{
#if 0
    if(VProperty *p=VConfig::instance()->find("panel.search.highlightColour"))
	{
		highlightColour_=p->value().value<QColor>();
	}

	vpPerformAutomaticSearch_ = VConfig::instance()->find("panel.output.automaticSearch.performSearch");
	vpAutomaticSearchMode_    = VConfig::instance()->find("panel.output.automaticSearch.searchMode");
	vpAutomaticSearchText_    = VConfig::instance()->find("panel.output.automaticSearch.searchText");
	vpAutomaticSearchFrom_    = VConfig::instance()->find("panel.output.automaticSearch.searchFrom");
	vpAutomaticSearchCase_    = VConfig::instance()->find("panel.output.automaticSearch.caseSensitive");

	// these should always exist - if they don't then there is a spelling error in the above lines
	assert(vpPerformAutomaticSearch_);
	assert(vpAutomaticSearchMode_);
	assert(vpAutomaticSearchText_);
	assert(vpAutomaticSearchFrom_);
	assert(vpAutomaticSearchCase_);
#endif
}
